Turning off textile inline with '=='" doesn't work.
2010-09-12 23:06 - Noah Diewald

Status: Reopened Start date: 2010-09-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version:

Description

At http://www.textism.com/tools/textile/index.php if | enter:

==—test== 1s ==test-==

-test is test-

| get:
<p>&#45;test is testsa#45;</p>
<p><del>test is test</del></p>

In Redmine this produces:

testistest

testistest

Or:

<del>test is test</del>
<p><del>test is test</del></p>

This is really bad news for me because | have a bunch of linguists that want to use familiar notations to talk about prefixes and

suffixes and this useless delete formatting can't be simply turned off as it can be in normal textile, my only other alternative being to
suggest the use of @'s, which change the font and have different meanings.

Related issues:
Related to Redmine - Feature #6269: RedCloth 4 support New

History

#1 - 2010-09-16 03:15 - Mischa The Evil

You can use < code >...< /code > (only around the dashes) or < notextile >...< /notextile > (around the whole words/characters combination) as a
workaround.

Note: I've added some extra spaces to prevent incorrect parsing here.

#2 - 2010-09-16 03:17 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Wont fix

Please reopen if the above mentioned syntax doesn't suit your needs.

#3 - 2010-09-16 03:51 - Noah Diewald

- Status changed from Closed to Reopened

| suppose some arguments for including would be the following.
http://www.textism.com/tools/textile/index.php

Part of the nice thing about using textile is that one doesn't have to use verbose syntax to do simple things.

Another nice thing about textile is that it is widely used and so its often unintuitive syntax is at least familiar. Why not implement the that works in
other textile systems?

There must be other people who would like to have an easy way to temporarily turn off textile for a portion of text in a manner that is predictable
based on their experience with textile in other programs.

| have people reporting issues and commenting on issues that are relatively uncomfortable with markup in general. Maybe that isn't the target user
base but it seems that | can't be the only one. == seems easier to sell to them than < notextile >...< /notextile >.

#4 - 2010-09-16 04:05 - Noah Diewald

| guess a related issue is that == does have some significance to the system since it will disappear when used -- as | accidentally had happen above
in my previous comment -- but at the same time doesn't do what you'd expect it to. That seems like a real bug. | spent a long time trying to figure out
what | was doing wrong when using it before realizing that it just doesn't work. If the == remained uninterpreted then | would have realized the feature
was unimplemented immediately.

#5 - 2013-04-09 17:24 - Filou Centrinov
Supported in RedCloth 4. More about RedCloth 4: #6269
